@echo off

echo WARNING. For this auto installer to work you need to have installed Python 3.10.x, Git, C++ tools, CUDA
echo Follow this tutorial step by step : https://youtu.be/-NjNy7afOQ0

git clone https://github.com/FurkanGozukara/enhance_SDXL

cd enhance_SDXL

py --version >nul 2>&1
if "%ERRORLEVEL%" == "0" (
    echo Python launcher is available. Generating Python 3.10 VENV
    py -3.10 -m venv venv
) else (
    echo Python launcher is not available, generating VENV with default Python. Make sure that it is 3.10
    python -m venv venv
)

call .\venv\Scripts\activate.bat

pip install -r requirements.txt

pip3 install torch==2.2.0 torchvision torchaudio --index-url https://download.pytorch.org/whl/cu121 --upgrade

pip install bitsandbytes==0.43.1 --upgrade

pip install xformers==0.0.24 --upgrade

pip install https://huggingface.co/MonsterMMORPG/SECourses/resolve/main/triton-2.1.0-cp310-cp310-win_amd64.whl --upgrade

pip install https://huggingface.co/MonsterMMORPG/SECourses/resolve/main/deepspeed-0.11.2_cuda121-cp310-cp310-win_amd64.whl --upgrade

REM Show completion message
echo Virtual environment made and installed properly

REM Pause to keep the command prompt open
pause